Debian Bug report logs - #474761
kfreebsd-6: recommends packages not in main

version graph

Package: kfreebsd-6; Maintainer for kfreebsd-6 is (unknown);

Reported by: Amaya <amaya@debian.org>

Date: Mon, 7 Apr 2008 16:15:01 UTC

Severity: important

Found in version 6.3-4

Fixed in version kfreebsd-6/6.3-5

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#474761; Package kfreebsd-6. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: kfreebsd-6: recommends packages not in main
Date: Mon, 7 Apr 2008 18:15:50 +0200
[Message part 1 (text/plain, inline)]
Package: kfreebsd-6
Version: 6.3-4
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

kfreebsd-6 recommends freebsd6-buildutils, which is not available in unstable.

This bug is RC, hence the severity, according to the following Release Goal for
Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Attached is the a patch with a suggestion on how to fix this bug, but of
course, as the package maintainer you might know better.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ยท''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux
[kfreebsd-6-6.3-4.1.diff (text/x-diff, attachment)]

Message sent on to Amaya <amaya@debian.org>:
Bug#474761. Full text and rfc822 format available.

Message #8 received at 474761-submitter@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 474761-submitter@bugs.debian.org
Subject: important isn't RC
Date: Mon, 7 Apr 2008 14:39:35 -0400
> Package: kfreebsd-6
> Version: 6.3-4
> Severity: important
> User: debian-release@lists.debian.org
> Usertags: goal-recommends
> Tags: patch
>
> Hi,
>
> kfreebsd-6 recommends freebsd6-buildutils, which is not available in
> unstable.
>
> This bug is RC, hence the severity,
Non-serious bugs are not RC. AFAIK this bug is not RC.




Information stored:
Bug#474761; Package kfreebsd-6. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 474761-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Amaya <amaya@debian.org>
Cc: 474761-quiet@bugs.debian.org, 474762-quiet@bugs.debian.org
Subject: Re: kfreebsd-6/kfreebsd-7: recommends packages not in main
Date: Fri, 25 Apr 2008 10:38:49 +0200 (CEST)
> kfreebsd-X recommends freebsdX-buildutils, which is not available in 
> unstable.

Is now possible to restrict recomends only for some architectures,
like "freebsd7-buildutils [kfreebsd-any]", especially for arch all packages ?

The freebsdX-buildutils package is needed for building GNU/kFreeBSD
kernel. The freebsdX-buildutils packages are available on GNU/kFreeBSD 
architectures, but not on linux architectures.

Petr




Tags removed: patch Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Sat, 24 May 2008 10:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#474761; Package kfreebsd-6. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 474761@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 474761@bugs.debian.org, 474762-quiet@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: kfreebsd-6/kfreebsd-7: recommends packages not in main
Date: Sat, 2 Aug 2008 16:47:36 +0200 (CEST)
tags 474761 +pending
tags 474762 +pending
thanks

Hi,

there is a freebsd-buildutils package in NEW, which provide
both freebsd6-buildutils and freebsd7-buildutils.

Petr




Tags added: pending Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sat, 02 Aug 2008 14:36:06 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 474761-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 474761-close@bugs.debian.org
Subject: Bug#474761: fixed in kfreebsd-6 6.3-5
Date: Wed, 06 Aug 2008 15:32:05 +0000
Source: kfreebsd-6
Source-Version: 6.3-5

We believe that the bug you reported is fixed in the latest version of
kfreebsd-6, which is due to be installed in the Debian FTP archive:

kfreebsd-6_6.3-5.diff.gz
  to pool/main/k/kfreebsd-6/kfreebsd-6_6.3-5.diff.gz
kfreebsd-6_6.3-5.dsc
  to pool/main/k/kfreebsd-6/kfreebsd-6_6.3-5.dsc
kfreebsd-source-6.3_6.3-5_all.deb
  to pool/main/k/kfreebsd-6/kfreebsd-source-6.3_6.3-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474761@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Aug 2008 14:35:22 +0200
Source: kfreebsd-6
Binary: kfreebsd-source-6.3 kfreebsd-headers-6.3-1 kfreebsd-image-6.3-1-amd64-generic ndiswrapper-modules-6.3-1-amd64-generic kfreebsd-image-6-amd64-generic kfreebsd-headers-6.3-1-amd64-generic kfreebsd-headers-6-amd64-generic kfreebsd-image-6.3-1-amd64-k8 ndiswrapper-modules-6.3-1-amd64-k8 kfreebsd-image-6-amd64-k8 kfreebsd-headers-6.3-1-amd64-k8 kfreebsd-headers-6-amd64-k8 kfreebsd-image-6.3-1-amd64-k8-smp ndiswrapper-modules-6.3-1-amd64-k8-smp kfreebsd-image-6-amd64-k8-smp kfreebsd-headers-6.3-1-amd64-k8-smp kfreebsd-headers-6-amd64-k8-smp kfreebsd-image-6.3-1-em64t-p4 ndiswrapper-modules-6.3-1-em64t-p4 kfreebsd-image-6-em64t-p4 kfreebsd-headers-6.3-1-em64t-p4 kfreebsd-headers-6-em64t-p4 kfreebsd-image-6.3-1-em64t-p4-smp ndiswrapper-modules-6.3-1-em64t-p4-smp kfreebsd-image-6-em64t-p4-smp kfreebsd-headers-6.3-1-em64t-p4-smp kfreebsd-headers-6-em64t-p4-smp kfreebsd-image-6.3-1-486 ndiswrapper-modules-6.3-1-486 kfreebsd-image-6-486 kfreebsd-headers-6.3-1-486 kfreebsd-headers-6-486 kfreebsd-image-6.3-1-586 ndiswrapper-modules-6.3-1-586 kfreebsd-image-6-586 kfreebsd-headers-6.3-1-586 kfreebsd-headers-6-586 kfreebsd-image-6.3-1-586-smp ndiswrapper-modules-6.3-1-586-smp kfreebsd-image-6-586-smp kfreebsd-headers-6.3-1-586-smp kfreebsd-headers-6-586-smp kfreebsd-image-6.3-1-686 ndiswrapper-modules-6.3-1-686 kfreebsd-image-6-686 kfreebsd-headers-6.3-1-686 kfreebsd-headers-6-686 kfreebsd-image-6.3-1-686-smp ndiswrapper-modules-6.3-1-686-smp kfreebsd-image-6-686-smp kfreebsd-headers-6.3-1-686-smp kfreebsd-headers-6-686-smp
Architecture: source all
Version: 6.3-5
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-6-486 - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-586 - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-586-smp - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-686 - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-686-smp - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-amd64-generic - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-amd64-k8 - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-amd64-k8-smp - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-em64t-p4 - header files for kernel of FreeBSD 6
 kfreebsd-headers-6-em64t-p4-smp - header files for kernel of FreeBSD 6
 kfreebsd-headers-6.3-1 - Common architecture-specific header files for kernel of FreeBSD 6
 kfreebsd-headers-6.3-1-486 - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-586 - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-586-smp - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-686 - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-686-smp - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-amd64-generic - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-amd64-k8 - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-amd64-k8-smp - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-em64t-p4 - header files for kernel of FreeBSD 6.3
 kfreebsd-headers-6.3-1-em64t-p4-smp - header files for kernel of FreeBSD 6.3
 kfreebsd-image-6-486 - kernel of FreeBSD 6 image
 kfreebsd-image-6-586 - kernel of FreeBSD 6 image
 kfreebsd-image-6-586-smp - kernel of FreeBSD 6 image
 kfreebsd-image-6-686 - kernel of FreeBSD 6 image
 kfreebsd-image-6-686-smp - kernel of FreeBSD 6 image
 kfreebsd-image-6-amd64-generic - kernel of FreeBSD 6 image
 kfreebsd-image-6-amd64-k8 - kernel of FreeBSD 6 image
 kfreebsd-image-6-amd64-k8-smp - kernel of FreeBSD 6 image
 kfreebsd-image-6-em64t-p4 - kernel of FreeBSD 6 image
 kfreebsd-image-6-em64t-p4-smp - kernel of FreeBSD 6 image
 kfreebsd-image-6.3-1-486 - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-586 - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-586-smp - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-686 - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-686-smp - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-amd64-generic - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-amd64-k8 - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-amd64-k8-smp - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-em64t-p4 - kernel of FreeBSD 6.3 image
 kfreebsd-image-6.3-1-em64t-p4-smp - kernel of FreeBSD 6.3 image
 kfreebsd-source-6.3 - source code for kernel of FreeBSD 6.3 with Debian patches
 ndiswrapper-modules-6.3-1-486 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-586 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-586-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-686 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-686-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-amd64-generic - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-amd64-k8 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-amd64-k8-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-em64t-p4 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-6.3-1-em64t-p4-smp - Ndiswrapper kFreeBSD module
Closes: 474761
Changes: 
 kfreebsd-6 (6.3-5) unstable; urgency=low
 .
   [ Petr Salinger ]
   * libdb-dev is now a real package, build-depend only on it.
   * use and prefer freebsd-buildutils over freebsd6-buildutils.
     Closes: #474761.
   * add Vcs-* fields into debian/control.
 .
   [ Aurelien Jarno ]
   * Bumped Standards-Version to 3.8.0 (no changes).
   * debian/patches/*: convert to patchlevel p1 as requested by the new
     dpkg-source.
Checksums-Sha1: 
 00b9208e74e947cef8a4ad13eaef453f4b93970a 3015 kfreebsd-6_6.3-5.dsc
 4e10a149626e72b31226caf0e98c56f8ef2b4f15 51237 kfreebsd-6_6.3-5.diff.gz
 340924c152d953ecf3c07dfb55bb0ff8a5db3d66 15493676 kfreebsd-source-6.3_6.3-5_all.deb
Checksums-Sha256: 
 ec9817281ac4a7b6dada88b4335ac4a0b65e10d2efec496f1bcc550a220d6cc3 3015 kfreebsd-6_6.3-5.dsc
 5b08f8637472d4ad7367c23c76dc4d388776c551f1f166e23c0b90fe8930dbcc 51237 kfreebsd-6_6.3-5.diff.gz
 3ed9fc6125b79991e2c5d88e3919eb378d195df54942b4b90c11134e190983c6 15493676 kfreebsd-source-6.3_6.3-5_all.deb
Files: 
 4f74b25428b77646391ef047a4789618 3015 devel optional kfreebsd-6_6.3-5.dsc
 247c0a1a3d3d1d2062ac6cfd314b36ee 51237 devel optional kfreebsd-6_6.3-5.diff.gz
 547d9e31bb4582473c26d179b7c812ec 15493676 devel optional kfreebsd-source-6.3_6.3-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFImcLUw3ao2vG823MRAjqrAJ4syZIbiL8DetHoPYvWAdoytWdtxgCdFfGf
Ftp5rr7aw2GPvN34kRXK5YE=
=g/92
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Sep 2008 07:29:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:36:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.